org.eclipse.mat.ui.util

## Class EasyToolBarDropDown

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.util.EasyToolBarDropDown

Direct Known Subclasses:
  QueryDropDownMenuAction, RunReportsDropDownAction

    public abstract class EasyToolBarDropDown
    extends Action

Using this class one can create a tool bar button that drops down its menu also when the button itself was clicked (user don't have to aim at the small arrow next to it).

### Constructor Summary

Constructors
Constructor and Description
`EasyToolBarDropDown(String text, ImageDescriptor image, AbstractEditorPane pane)`
`EasyToolBarDropDown(String text, ImageDescriptor image, MultiPaneEditor editor)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `contribute(PopupMenu menu)`
`void` `dispose()`
`Menu` `getMenu(Control parent)`
`Menu` `getMenu(Menu parent)`
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EasyToolBarDropDown

    public EasyToolBarDropDown(String text,
                               ImageDescriptor image,
                               AbstractEditorPane pane)

#### EasyToolBarDropDown

    public EasyToolBarDropDown(String text,
                               ImageDescriptor image,
                               MultiPaneEditor editor)

### Method Detail

#### run

    public final void run()

#### contribute

    public abstract void contribute(PopupMenu menu)

#### dispose

    public final void dispose()

#### getMenu

    public final Menu getMenu(Control parent)

#### getMenu

    public final Menu getMenu(Menu parent)